CREATE TABLE students_16(id int, name text) PARTITION BY RANGE (id);
CREATE TABLE child_0_of_students_16 PARTITION OF students_16 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_students_16 PARTITION OF students_16 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_students_16 PARTITION OF students_16 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_students_16 PARTITION OF students_16 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_students_16 PARTITION OF students_16 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_students_16 PARTITION OF students_16 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_students_16 PARTITION OF students_16 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_students_16 PARTITION OF students_16 FOR VALUES FROM (700) TO (800);
CREATE TABLE child_8_of_students_16 PARTITION OF students_16 FOR VALUES FROM (800) TO (900);
CREATE TABLE child_9_of_students_16 PARTITION OF students_16 FOR VALUES FROM (900) TO (1000);
CREATE TABLE child_10_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1000) TO (1100);
CREATE TABLE child_11_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1100) TO (1200);
CREATE TABLE child_12_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1200) TO (1300);
CREATE TABLE child_13_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1300) TO (1400);
CREATE TABLE child_14_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1400) TO (1500);
CREATE TABLE child_15_of_students_16 PARTITION OF students_16 FOR VALUES FROM (1500) TO (1600);
INSERT INTO students_16 SELECT id, md5(id::text) FROM generate_series(0, 1599) AS id;

CREATE TABLE scores_16(student_id int, course int, score int) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (700) TO (800);
CREATE TABLE child_8_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (800) TO (900);
CREATE TABLE child_9_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (900) TO (1000);
CREATE TABLE child_10_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1000) TO (1100);
CREATE TABLE child_11_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1100) TO (1200);
CREATE TABLE child_12_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1200) TO (1300);
CREATE TABLE child_13_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1300) TO (1400);
CREATE TABLE child_14_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1400) TO (1500);
CREATE TABLE child_15_of_scores_16 PARTITION OF scores_16 FOR VALUES FROM (1500) TO (1600);
INSERT INTO scores_16 SELECT student_id, course, (random() * 100)::int FROM generate_series(0, 1599) AS student_id, generate_series(1, 4) AS course;

CREATE TABLE gpas_16(student_id int, gpa double precision) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (700) TO (800);
CREATE TABLE child_8_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (800) TO (900);
CREATE TABLE child_9_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (900) TO (1000);
CREATE TABLE child_10_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1000) TO (1100);
CREATE TABLE child_11_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1100) TO (1200);
CREATE TABLE child_12_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1200) TO (1300);
CREATE TABLE child_13_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1300) TO (1400);
CREATE TABLE child_14_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1400) TO (1500);
CREATE TABLE child_15_of_gpas_16 PARTITION OF gpas_16 FOR VALUES FROM (1500) TO (1600);
INSERT INTO gpas_16 SELECT student_id, random() * 5 FROM generate_series(0, 1599) AS student_id;

ALTER TABLE students_16 ADD PRIMARY KEY (id);
CREATE INDEX ON scores_16 (student_id);
ALTER TABLE gpas_16 ADD PRIMARY KEY (student_id);
ANALYZE students_16;
ANALYZE scores_16;
ANALYZE gpas_16;
