CREATE TABLE students_8(id int, name text) PARTITION BY RANGE (id);
CREATE TABLE child_0_of_students_8 PARTITION OF students_8 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_students_8 PARTITION OF students_8 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_students_8 PARTITION OF students_8 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_students_8 PARTITION OF students_8 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_students_8 PARTITION OF students_8 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_students_8 PARTITION OF students_8 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_students_8 PARTITION OF students_8 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_students_8 PARTITION OF students_8 FOR VALUES FROM (700) TO (800);
INSERT INTO students_8 SELECT id, md5(id::text) FROM generate_series(0, 799) AS id;

CREATE TABLE scores_8(student_id int, course int, score int) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_scores_8 PARTITION OF scores_8 FOR VALUES FROM (700) TO (800);
INSERT INTO scores_8 SELECT student_id, course, (random() * 100)::int FROM generate_series(0, 799) AS student_id, generate_series(1, 4) AS course;

CREATE TABLE gpas_8(student_id int, gpa double precision) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (300) TO (400);
CREATE TABLE child_4_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (400) TO (500);
CREATE TABLE child_5_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (500) TO (600);
CREATE TABLE child_6_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (600) TO (700);
CREATE TABLE child_7_of_gpas_8 PARTITION OF gpas_8 FOR VALUES FROM (700) TO (800);
INSERT INTO gpas_8 SELECT student_id, random() * 5 FROM generate_series(0, 799) AS student_id;

ALTER TABLE students_8 ADD PRIMARY KEY (id);
CREATE INDEX ON scores_8 (student_id);
ALTER TABLE gpas_8 ADD PRIMARY KEY (student_id);
ANALYZE students_8;
ANALYZE scores_8;
ANALYZE gpas_8;
